Package org.springframework.security.web.access

# Interface AccessDeniedHandler

All Known Implementing Classes:
  `AccessDeniedHandlerImpl`, `CompositeAccessDeniedHandler`, `DelegatingAccessDeniedHandler`, `InvalidSessionAccessDeniedHandler`, `NoOpAccessDeniedHandler`, `ObservationMarkingAccessDeniedHandler`, `RequestMatcherDelegatingAccessDeniedHandler`

public interface AccessDeniedHandler
Used by `ExceptionTranslationFilter` to handle an `AccessDeniedException`.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.access.AccessDeniedException accessDeniedException)`
Handles an access denied failure.

## Method Details

### handle

void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.access.AccessDeniedException accessDeniedException) throws IOException, jakarta.servlet.ServletException
Handles an access denied failure.

Parameters:
  `request` - that resulted in an `AccessDeniedException`
  `response` - so that the user agent can be advised of the failure
  `accessDeniedException` - that caused the invocation
Throws:
  `IOException` - in the event of an IOException
  `jakarta.servlet.ServletException` - in the event of a ServletException